Modul 5 · 5.2
Deutsch
Kalender und Kontakte aus Google und Microsoft exportieren
Modul 5: Kalender und Kontakte · Lesezeit: 12 Minuten
Lernziel: Nach dieser Lektion können Sie einen vollständigen und brauchbaren Export von Kalendern und Kontakten aus Google und Microsoft erstellen, eine ICS- und vCard-Datei lesen, und Sie wissen, was beim Export nicht oder anders mitkommt.
Kernbegriffe: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE und TZID, ORGANIZER und ATTENDEE, VALARM, vCard (VCF) 3.0 und 4.0, csv, Google Takeout, Migrationstool
Zwei Dateiformate, die fast jeder kennt
Kalender und Kontakte verlagern Sie mit zwei offenen Formaten:
- iCalendar, Dateien mit der Endung
.ics(RFC 5545), für Kalender und Aufgaben. - vCard, Dateien mit der Endung
.vcf, für Kontaktpersonen. Es gibt zwei Versionen, denen Sie begegnen: 3.0 (RFC 2426) und 4.0 (RFC 6350).
Es sind gewöhnliche Textdateien. Sie können sie in einem Texteditor öffnen, und genau das werden Sie in dieser Lektion tun. Wer weiss, was darin steht, sieht auch, was fehlt.
Es gibt oft einen einfacheren Weg als den Export: Viele neue Dienste verfügen über ein Migrationstool, das mit Ihrer Zustimmung direkt bei Google oder Microsoft Ihre Kalender und Kontakte abruft. Das geht schneller und mit weniger Fehlern. Dennoch ist ein eigener Export sinnvoll: als Kontrolle (wie viele Termine und Kontakte hatte ich?), als Backup, bevor Sie den alten Dienst kündigen, und als Ausweg, falls Ihr Administrator das Migrationstool nicht erlaubt.
So sieht eine Kalenderdatei aus
Ein Export des Kalenders von Bakkerij De Korrel beginnt so:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARWas Sie sehen:
| Zeile | Bedeutung | Wo es schiefgehen kann |
|---|---|---|
BEGIN:VCALENDAR und VERSION:2.0 | dies ist eine iCalendar-Datei | fehlt das, verweigert der Import |
BEGIN:VEVENT ... END:VEVENT | ein Termin | ein fehlendes END macht den Rest unlesbar |
UID | das feste Kennzeichen des Termins | ohne UID kann der Server Duplikate nicht erkennen |
DTSTART;TZID=... | Startzeit in einer Zeitzone | siehe Zeitzonen unten |
RRULE | Wiederholungsregel: jeden Dienstag | eine ungültige Regel ergibt einen einzelnen Termin statt einer Serie |
EXDATE | Ausnahme: an diesem Dienstag nicht | |
ORGANIZER, ATTENDEE | wer eingeladen hat und wer eingeladen ist | siehe Einladungen unten |
VALARM | Erinnerung, 30 Minuten vorher | nicht jeder Dienst übernimmt Erinnerungen |
Zeitzonen
Eine Zeit mit TZID=Europe/Amsterdam bedeutet: 6 Uhr morgens in Amsterdam, auch nach der Umstellung auf Sommerzeit. Die Datei sollte daher einen Block VTIMEZONE enthalten, der diese Zeitzone beschreibt. Exporte aus Outlook verwenden oft Windows-Bezeichnungen wie W. Europe Standard Time. Das funktioniert, solange der VTIMEZONE-Block vorhanden ist. Fehlt er, muss der neue Dienst raten, und Sie sehen Termine um eine Stunde verschoben. Eine Zeit, die auf Z endet (20261110T050000Z), ist in UTC und immer eindeutig. Eine Zeit ohne Zeitzone und ohne Z heisst eine "schwebende" Zeit: Sie gilt in der Zeitzone dessen, der sie betrachtet.
Ganztägige Termine stehen als Datum ohne Uhrzeit: DTSTART;VALUE=DATE:20261224.
Einladungen
Ein Termin, den Sie organisiert haben, steht mit Ihnen als ORGANIZER in der Datei. Nach dem Import steht er in Ihrem neuen Kalender, aber die Teilnehmer haben ihn in ihrem eigenen Kalender noch als Einladung von Ihrer alten Adresse, mit einer UID des alten Dienstes. Ändern Sie den Termin später, erhalten sie eine neue Einladung. Bei wiederkehrenden Besprechungen mit externen Teilnehmern kann es sauberer sein, sie nach dem Umstieg erneut einzuladen. Termine, zu denen Sie eingeladen wurden, kommen als gewöhnlicher Termin mit; Antworten an den Organisator laufen über E-Mail.
Export aus Google
- Kalender: in Google Kalender, bei Einstellungen, der Bereich Importieren und exportieren, die Schaltfläche Exportieren. Sie erhalten eine ZIP-Datei mit einer ICS-Datei pro Kalender, dessen Eigentümer Sie sind. Kalender, die andere mit Ihnen teilen, sind darin nicht enthalten; diese exportiert der Eigentümer, oder Sie exportieren sie pro Kalender aus den Einstellungen dieses Kalenders, wenn das erlaubt ist.
- Kontakte: in Google Kontakte wählen Sie die Kontakte aus (oder alle), wählen Exportieren und dann das vCard-Format. Google bietet auch "Google CSV" und "Outlook CSV" an; nehmen Sie vCard, das behält die Struktur (mehrere Telefonnummern, Adressen, Foto).
- Alles auf einmal: Google Takeout (takeout.google.com) liefert den Kalender als ICS, Kontakte als VCF (oder CSV) und Gmail als mbox, in ZIP-Dateien. Praktisch als Backup des gesamten Kontos.
Die Menünamen ändern sich gelegentlich; suchen Sie im Zweifel in der Hilfe von Google nach "Kalender exportieren".
Export aus Microsoft
- Kalender: im klassischen Outlook für Windows können Sie einen Kalender als iCalendar-Datei speichern (Speichern unter, mit Auswahl des Zeitraums und "vollständige Details"). Wählen Sie einen Zeitraum, der weit genug zurück und voraus reicht, und wählen Sie vollständige Details, sonst exportieren Sie nur frei/gebucht. In Outlook im Web können Sie einen Kalender als ICS-Link veröffentlichen und die Datei über diesen Link herunterladen; deaktivieren Sie die Veröffentlichung danach wieder.
- Kontakte: Outlook im Web exportiert Kontakte als CSV, nicht als vCard. Klassisches Outlook exportiert im grossen Umfang ebenfalls nach CSV; vCard ist dort nur pro Kontakt möglich. Eine CSV-Datei können viele CardDAV-Dienste nicht direkt importieren. Zwei Auswege: das Migrationstool Ihres neuen Dienstes verwenden (das ruft Kontakte direkt ab), oder die CSV in ein Adressbuch von Thunderbird importieren und dort als vCard exportieren.
- Freigegebene Kalender und Raumkalender sind Kalender der Organisation. Diese exportiert der Administrator, oder Sie richten sie im neuen Dienst neu ein.
Was beim Export nicht oder anders mitkommt
| Bestandteil | Was passiert |
|---|---|
| Anhänge bei Terminen | kommen meist nicht mit; nur ein Link, oder nichts |
| Farben und Kategorien | manchmal als CATEGORIES, oft nicht |
| Erinnerungen | manchmal, abhängig vom Dienst |
| Videokonferenz-Links (Teams, Meet) | bleiben als Text im Termin stehen, funktionieren aber nach der Kündigung nicht mehr |
| Kontaktgruppen oder Labels | nicht immer; nach dem Import prüfen |
| Kontaktfotos | kommen in vCard mit, machen die Datei aber gross |
Zählen, bevor Sie weitermachen
Notieren Sie vor dem Export, wie viele Kontakte Sie haben und, für ein paar Kalender, wie viele Termine in einem festen Zeitraum stehen (zum Beispiel November). Nach dem Import zählen Sie erneut. Das ist die schnellste Methode, um zu erkennen, dass etwas fehlt. In der Aufgabe dieser Lektion lassen Sie das Programm Ihre Dateien zählen und prüfen.
In der Praxis: So sieht es bei einem Anbieter aus
In einem WebOké Nextcloud gibt es zwei Migrationstools, die direkt abrufen: das WebOké Import Tool für Google (Drive, Fotos, Kalender und Kontakte) und Datenmigration für OneDrive und Microsoft 365, mit dem Sie auch Kontakte und Kalender aus Ihrem Microsoft-Konto importieren. Kommt Ihr Kalender anderswo her, importieren Sie ICS- und vCard-Dateien selbst (Lektion 5.3). Nextcloud liest vCard 3.0 und 4.0. Bei anderen europäischen Diensten gibt es vergleichbare Importtools oder eine Importschaltfläche im Kalender und im Adressbuch; die Dateiformate sind überall dieselben.
Zusammenfassung
- Kalender verlagern Sie als ICS (iCalendar), Kontakte als VCF (vCard 3.0 oder 4.0); es sind lesbare Textdateien.
- Ein Migrationstool, das direkt abruft, ist oft einfacher, erstellen Sie aber dennoch einen eigenen Export als Kontrolle und Backup.
- Achten Sie in einer ICS-Datei auf UID, RRULE, und Zeitzonen mit einem VTIMEZONE-Block; ohne diesen verschieben sich Termine.
- Outlook im Web exportiert Kontakte nur als CSV; verwenden Sie ein Migrationstool oder wandeln Sie die CSV in vCard um.
- Zählen Sie vorab Kontakte und Termine, damit Sie nach dem Import erkennen können, ob etwas fehlt.
Quiz
Aufgabe
Aufgabe A5.2: Ihren Testexport überprüfen. Exportieren Sie einen Kalender (ICS) und Ihre Kontakte (VCF). Tragen Sie zuerst ein, wie viele Kontakte Sie haben und wie viele Termine Sie erwarten. Laden Sie danach die Dateien hoch. Das Programm prüft, ob sie gültig sind, zählt Termine, Wiederholungen und Kontakte, sucht nach Zeitzonen ohne Beschreibung und doppelten Kontakten, und vergleicht mit Ihren Zahlen. Die Dateien werden nur gelesen und nicht gespeichert.
Aufgabe E5.2: Was wird nicht mitgenommen? Öffnen Sie Ihre ICS-Datei in einem Texteditor. Suchen Sie einen wiederkehrenden Termin, einen Termin mit Teilnehmern und einen Termin mit einem Videokonferenz-Link. Notieren Sie pro Termin, was Sie nach dem Umstieg tun müssen.
Aufgabe E5.2: Was wird nicht mitgenommen?
Öffnen Sie Ihre eigene ics-Datei in einem Texteditor.
Ihre Haken und Notizen bleiben nur in diesem Browser; wir senden sie nirgendwohin. Sind Sie angemeldet, speichern wir in Meine Kurse nur, dass Sie die Aufgabe erledigt haben.
Weiterführende Lektüre
Die Schritte in diesen Artikeln gelten für die Dienste von WebOké; bei anderen Anbietern funktioniert es ähnlich.
- Nextcloud-Anleitung 13.5: Kalender und Kontakte aus Google, iCloud oder Outlook übertragen (ics und vCard)
- Nextcloud-Anleitung 13.2: Google Drive, Fotos, Kalender und Kontakte übertragen mit dem WebOké Import Tool
- Nextcloud-Anleitung 13.4: OneDrive übertragen mit Datenmigration
- Nextcloud-Anleitung 13.6: Von Microsoft 365 zu WebOké: Dateien, Dokumente, E-Mail und Kalender
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Google Kalender-Hilfe: Termine exportieren; Google Kontakte-Hilfe: Kontakte exportieren; Microsoft-Support: Kontakte aus Outlook exportieren
